aboutsummaryrefslogtreecommitdiff
path: root/scripts/build.sh
diff options
context:
space:
mode:
authoraaronbuchwald <aaron.buchwald56@gmail.com>2020-11-13 17:28:24 -0500
committerGitHub <noreply@github.com>2020-11-13 17:28:24 -0500
commit2a52b64b2f94602ac02df458e9ba66e43fd57489 (patch)
tree3dff693752e44d6de1419823c4e8e4e4bc25ecaf /scripts/build.sh
parent68661be1a9551e24994b1e2703676b03cd96624c (diff)
parent6a542ffa05e3a70139bf1de0a4f0bf2e510d069e (diff)
Merge pull request #54 from ava-labs/github-actions
GitHub actions
Diffstat (limited to 'scripts/build.sh')
-rwxr-xr-xscripts/build.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/scripts/build.sh b/scripts/build.sh
new file mode 100755
index 0000000..41fab1b
--- /dev/null
+++ b/scripts/build.sh
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+
+set -o errexit
+set -o nounset
+set -o pipefail
+
+# Set GOPATH
+GOPATH="$(go env GOPATH)"
+
+# Set default binary location
+BINARY_PATH="$GOPATH/src/github.com/ava-labs/avalanchego/build/plugins/evm"
+
+if [[ $# -eq 1 ]]; then
+ BINARY_PATH=$1
+elif [[ $# -ne 0 ]]; then
+ echo "Invalid arguments to build coreth. Requires either no arguments (default) or one arguments to specify binary location."
+ exit 1
+fi
+
+# Build Coreth, which is run as a subprocess
+echo "Building Coreth..."
+go build -o "$BINARY_PATH" "plugin/"*.go